<template>
  <div class="cv-item">
    <div class="badge-wrap">
      <div
        class="badge-container"
        :class="{
          eylow: this.rating >= 5 && this.rating < 7,
          error: this.rating < 5,
        }"
      >
        {{ rating }}.{{ getRandomInt() }}
      </div>
      <v-avatar size="150">
        <img :src="cv.avatar" />
      </v-avatar>
    </div>
    <div class="cv-name" @click="navigate(cv.id)">{{ cv.fullName }}</div>
    <more-badges :badges="cv.skils" />
  </div>
</template>
<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
import MoreBadges from "@/components/ui/MoreBadges.vue";
import { Cv } from "@/models/cv";

@Component({
  components: {
    MoreBadges,
  },
})
export default class CvItem extends Vue {
  @Prop({ required: true }) cv!: Cv;
  @Prop({ required: true }) index!: number;

  get rating() {
    return 8 - this.index;
  }

  getRandomInt() {
    return Math.floor(Math.random() * Math.floor(99));
  }
  navigate(id: string) {
    this.$router.push({ name: "cv.detail", params: { id: id } });
  }
}
</script>

<style lang="scss">
.cv-item {
  padding-right: 60px;

  .cv-name {
    font-weight: 600;
    font-size: 22px;
    line-height: 24px;
    /* or 109% */
    margin: 10px 0px;
    color: #262c40;
    cursor: pointer;
  }
  .badge-wrap {
    display: inline-block;
    position: relative;
    .badge-container {
      z-index: 10;
      padding: 4px 12px;

      position: absolute;
      right: -12px;
      top: 5px;

      font-weight: bold;
      font-size: 15px;
      line-height: 20px;
      color: white;
      background: #54e57d;

      border: 4px solid #ffffff;
      border-radius: 16px;
      &.eylow {
        background: #fddb63;
      }
      &.error {
        background: #ea2b42;
      }
    }
  }
}
</style>
